@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2? family= Bebas+Neue & display=swap');

@font-face {
    font-family: 'Android';
    src: url('fontes/idroid.otf') format('opentype');
    font-weight: normal;
}

/* O root é a raiz da arvore do documento ( Variavel ) 
Obs: toda variavel começa com -- ( sem espaço nos nomes da variavel ) isso pode ser mudado uma vez na variavel, sendo assim vai mundar no codigo completo.  */

/* reposividade é adaptar as imagens e conteudos a varias telas de dispositivos */


:root { 
    --cor0: #ebe5c5;
    --cor1: #83e1ad;
    --cor2: #3ddc84;
    --cor3: #2fa866;
    --cor4: #1a5c37;
    --cor5: #063d1e;

    --fonte-padrao: Arial, Verdana, Helvetica, sans-serif;
    --fonte-destaque: 'Bebas Neue', cursive;
    --fonte-android: 'Android', cursive;
}

*{
    margin: 0px;
    padding: 0px;
}


body{
    background-color: var(--cor0);
    font-family: var(--fonte-padrao);
}

a.externo::after{ /* ::after = depois dele */
    content: '\00A0\1F517';
}

header{
   background-image: linear-gradient(to bottom, var(--cor3), var(--cor5));
    min-height: 150px;
    text-align: center;
    padding-top: 30px;
    
   
}

header > h1{
    color:white;
    font-family: var(--fonte-destaque);
    margin-bottom: 20px;
    font-size: 3em;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.616);
    font-weight: normal;
}

header > p {
    color: white;
    font-size: 1.2em;
    font-family: var(--fonte-padrao);
    max-width: 600px;
    margin: auto;
    padding-left: 10px;
    padding-right: 10px;
    text-shadow: 2px 2px 0px rgba(0, 0, 0, 0.421);
    padding-bottom: 10px;
    
}

nav{
    background-color: var(--cor5);
    padding: 10px;
    box-shadow: 0px 7px 9px rgba(0, 0, 0, 0.57);
    
    
}
nav a {
    color: var(--cor1);
    text-decoration: none;
    padding: 10px;
    font-weight: bold;
    border-radius: 5px;
    transition-duration: .5s;
        /* quando mexer o mouse por cima leva 0.5 segundo para aparecer */
    
}

nav > a:hover{
   color: var(--cor4);
    background-color: var(--cor2);
}

main{
    background-color: white;
    min-width: 300px; /*largura minima*/  
    max-width: 1000px; /* largura maxima */ 
        /* quando o copor do projeto tiver 1000px ele para de crescer quando ele tiver menos ele adapta o conteudo */
    margin: auto;
    margin-bottom: 30px;
    padding: 10px;
    box-shadow: 0px 0px 10px  rgba(0, 0, 0, 0.467);
    border-bottom-right-radius: 10px; /*bodar da parte de baixa da lareal direita */
    border-bottom-left-radius: 10px; /*bodar da parte de baixa da lareal esquerda */
    
}
main h1 {
    color: var(--cor5);
    font-family: var(--fonte-android);
    font-weight: normal;
    font-size: 1.8em;
}

main h2{
    color: var(--cor4);
    font-family: var(--fonte-android);
    font-size: 1.3em;
    background-image: linear-gradient(to right, var(--cor1), transparent);
    text-indent: 10px;
    font-weight: normal;
}

main p {
    margin: 15px 0px;
    text-align: justify;
    text-indent: 30px;
    line-height: 2em;
    font-size: 1em;
}

main strong{
    color: var(--cor4);
    font-weight: bold;
    
}

main a {
    text-decoration: none;
    font-weight: bold;
    color: var(--cor5);
    background-color: var(--cor1);
    padding: 2px 6px;
}

main a:hover{
    text-decoration: underline;
    color: var(--cor3);
}

main img{
    width: 100%;
        /* idependente do conteudo a imagem terá 100% de largura */

}

main img.pequena{ 
        /* imagem por padrão não é um bloco sendo assim para centralizar utilize display block e margin auto */
    max-width: 280px;
    margin: auto;
    display: block;
}


div.video {
    background-color: var(--cor5);
    margin: 0px -10px 30px -10px;
    padding: 20px;

            position: relative;
            padding-bottom: 55%;
}

div.video > iframe {
    position: absolute;
    top: 10%;
    left: 10%;
    width: 80%;
    height: 80%;
}


aside {
    background-color: var(--cor1);
    padding: 10px;
    border-radius: 10px;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.307);
}
aside > h3 {
    background-color: var(--cor4);
    color: white;
    padding: 5px;
    margin: -10px -10px 0px -10px;
        /* margem negativa para encaixar as caixa uma na outra. */
    border-radius: 10px 10px 0px 0px;
}

aside > ul {
    list-style-type: '\2714\00A0\00A0';
        /* Lembrando para botar o emoji na lista deve usar o contra barra e so a numeração. */
        /* o \00A0 é o pequeno espaço sem quebra */
        /* Lembrando que essa configuração não é compativel com todo navegador. */
    list-style-position: inside;
    columns: 2;
}
footer{
    background-color:var(--cor5);
    color: white;
    text-align: center;
    font-size: 0.8em;
    padding: 5px;
}

footer a {
    color: white;
    font-weight: bolder;
    text-decoration: none; 

}

footer a:hover {
    text-decoration: underline;
    color: var(--cor1);
}